Skip to main content
Version: 1.9

HMAC SHA512 - Create a new key share (before secret share import)

GET 

/hmac-sha512/create

notice

This API endpoint part of the Exchange API Vault. Please contact the Sodot team for access.

authorization

This API endpoint requires an API Key with at least one of the following Roles: KeysManager

Setup a new HMAC-SHA512 key share (before importing the full HMAC key) for the authenticated user.

All parties must call this function before calling import/import-secret-share. The returned keygen_id must be sent through an authenticated communication channel to all other devices we wish to share the HMAC key with. Once we have the keygen_id-s of all parties, then /hmac-sha512/import/import-secret-share can be called with the same key_id as was given here.

Unlike ECDSA and similar algorithms, HMAC does not involve a 'keygen' process. Instead, the user must import a pre-split secret share to these parties.

Request

Responses